List activity log entries

<Info> > This endpoint requires an <strong>Enterprise</strong> subscription. </Info> <Info title="Required scopes"> > `activity_log:read` </Info> Returns a list of activity log entries

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Query parameters

organizationstringRequiredformat: "uri"
Return activity log entries from the organization associated with this URI
search_termstringOptional<=300 characters
Filters entries based on the search term. Supported operators: - `|` - to allow filtering by one term or another. Example: `this | that` - `+` - to allow filtering by one term and another. Example: `this + that` - `"` - to allow filtering by an exact search term. Example: `"email@website.com"` - `-` - to omit specific terms from results. Example: `Added -User` - `()` - to allow specifying precedence during a search. Example: `(this + that) OR (person + place)` - `*` - to allow prefix searching. Example `*@other-website.com`
actorlist of stringsOptional

Return entries from the user(s) associated with the provided URIs

sortlist of enumsOptionalDefaults to ["occurred_at:desc"]

Order results by the specified field and direction. List of {field}:{direction} values.

min_occurred_atstringOptionalformat: "date-time"

Include entries that occurred after this time (sample time format: “2020-01-02T03:04:05.678Z”). This time should use the UTC timezone.

max_occurred_atstringOptionalformat: "date-time"

Include entries that occurred prior to this time (sample time format: “2020-01-02T03:04:05.678Z”). This time should use the UTC timezone.

page_tokenstringOptional
The token to pass to get the next portion of the collection
countintegerOptional1-1000Defaults to 20
The number of rows to return
namespacelist of stringsOptional
The categories of the entries
actionlist of stringsOptional

The action(s) associated with the entries

Response

OK
collectionlist of objects
The set of activity log entries matching the criteria
paginationobject
total_countinteger>=0
Total number of records based on search criteria
exceeds_max_total_countboolean

If there are more search results than the total_count field indicates, pagination will continue to return results past the total_count field value.

last_event_timestring or nullOptionalformat: "date-time"

The date and time of the newest entry (format: “2020-01-02T03:04:05.678Z”) in the collection array.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error